<template>
  <div>
    <div class="text-right">
      <button class="btn btn-primary" @click.prevent="load">
        Load Design
      </button>
    </div>
    <div class="row mt-4">
      <div class="table-responsive">
        <table
          class="table table-head-custom table-vertical-center table-head-bg table-bordered"
        >
          <thead>
            <tr>
              <th></th>
              <th>Numbering</th>
              <th>Title</th>
              <th>Type</th>
              <th>Bagian</th>
              <th>Scope</th>
              <th>Stasiun</th>
              <th>Aksi</th>
            </tr>
          </thead>
          <tbody v-if="this.$store.getters.getterDldChange.length == 0">
            <tr v-if="isLoading">
              <td colspan="8">
                <div class="text-center">
                  <i class="flaticon2-open-box text-secondary icon-3x"></i>

                  <h4>
                    Data kosong.
                  </h4>
                </div>
              </td>
            </tr>
            <tr v-else>
              <td class="text-center" colspan="8">
                <b-spinner variant="primary" label="Spinning"></b-spinner>
              </td>
            </tr>
          </tbody>
          <tbody v-else>
            <template
              v-for="(item, i) in this.$store.getters.getterDldChange.dld"
            >
              <tr v-bind:key="i">
                <td>
                  <template>
                    <div v-if="item.isAdd == 1">
                      <b-form-checkbox
                        v-bind:id="'check-software-' + i"
                        checked="true"
                        name="checkbox-1"
                        disabled
                      >
                      </b-form-checkbox>
                    </div>
                    <div v-else>
                      <b-form-checkbox
                        v-bind:id="'check-software-' + i"
                        v-model="status"
                        name="checkbox-1"
                      >
                      </b-form-checkbox>
                    </div>
                  </template>
                </td>
                <td>{{ item.numbering }}</td>
                <td>{{ item.title }}</td>
                <td>{{ item.type }}</td>
                <td>{{ item.field }}</td>
                <td>{{ item.scope }}</td>
                <td>{{ item.station }}</td>
                <td>
                  <template>
                    <div v-if="item.isAdd != null">
                      <a href="" class="text-danger">
                        <i class="flaticon-delete"></i>
                      </a>
                    </div>
                  </template>
                </td>
              </tr>
            </template>
          </tbody>
        </table>
      </div>
    </div>
    <div class="row">
      <div class="col">
        <div class="text-right mt-3">
          <div v-if="status.length == 0">
            <button class="btn btn-success" disabled>Simpan</button>
          </div>
          <div v-else>
            <button class="btn btn-success">Simpan</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { GET_DLD_CHANGE } from "@/core/services/store/change-management.module";

export default {
  name: "Software",
  data() {
    return {
      data: {
        design: [
          {
            numbering: "GEN-008-002-100",
            title: "PDPS",
            type: "Software",
            field: "Eksternal-T",
            scope: "HMI",
            station: "GEN",
            isAdd: null
          },
          {
            numbering: "TAN-008-110-100",
            title: "PDPP",
            type: "Software",
            field: "Eksternal-T",
            scope: "HMI",
            station: "TAN",
            isAdd: "1"
          }
        ]
      },
      status: [],
      isLoading: true
    };
  },
  methods: {
    async load() {
      var code = this.$store.getters.getterDetailChangeManagement.project.code;
      var type = "DRW";

      this.isLoading = false;
      await this.$store.dispatch(GET_DLD_CHANGE, { type: type, code: code });
      this.isLoading = true;
    }
  },
  computed: {
    currentSave() {
      return this.status;
    }
  },
  watch: {}
};
</script>
